# Stellar Ruby Explorer
Ruby wrapper for the [Stellar] Horizon [blockchain query API service]. Enables queries by address and transactions.

## INSTALLATION

Add this line to your application's Gemfile:

```ruby
gem 'stellar_ruby_explorer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install stellar_ruby_explorer

## USAGE
Here's how to perform queries by block, address and transactions.

```ruby
explorer = StellarRubyExplorer::Api.new

# Get all transactions involving a given address
explorer.address_full_txs 'GDQCM5PLJYM37JJBP3ZHZ4H25I7EUK4SF36CEPVC4MLCYGEXPO5FV5C5'

# Get information about a specific transaction
explorer.tx_info '71c4b26b47a3fcd566a4b784a9130ff87ca4fc0bbb280ac8d43002d5a39e5526'
```

## DEVELOPMENT

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org].

### CODE QUALITY

I prefer good code whenever possible, just like you. The [rubocop] tool is used in this project to ensure the code is well written:

```shell
$ rubocop lib/
```

### CONTRIBUTING

Bug reports and pull requests are welcome on GitHub at https://github.com/rodrigoalvesvieira/stellar_ruby_explorer.

## AUTHORS

* Rodrigo Alves Vieira <rodrigo@bitja.com.br>

This project is based on BlockCypher's [ruby client] and Stellar's [Horizon project].

## LICENSE

The gem is available as open source under the terms of the [MIT License].

[Stellar]: https://www.stellar.org/
[blockchain query API service]: https://www.stellar.org/developers/reference/
[BitJá]: https://www.bitja.com.br/
[rubygems.org]: https://rubygems.org
[rubocop]: https://github.com/rubocop-hq/rubocop
[ruby client]: https://github.com/blockcypher/ruby-client
[MIT License]: https://opensource.org/licenses/MIT
[Horizon project]: https://github.com/stellar/horizon
